services:
  _defaults:
    public: true
    autowire: true
    bind:
      $bundleConfig: '%huh_email2username%'

  # Event Listener
  HeimrichHannot\Email2UsernameBundle\EventListener\HookListener: ~
  HeimrichHannot\Email2UsernameBundle\EventListener\CreateNewUserListener: ~

  # DataContainer
  HeimrichHannot\Email2UsernameBundle\DataContainer\MemberContainer: ~
  HeimrichHannot\Email2UsernameBundle\DataContainer\UserContainer: ~